# Ogre::FileSystemArchiveFactory Class Reference

Specialisation of ArchiveFactory for FileSystem files. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:

List of all members.

## Public Member Functions

virtual | ~FileSystemArchiveFactory ()
const String & | getType (void) const

Returns:
  The factory type.

Archive * | createInstance (const String &name)

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

void | destroyInstance (Archive *arch)

Parameters:

  ptr | Pointer to the object to destroy

## Detailed Description

Specialisation of ArchiveFactory for FileSystem files.

Definition at line 105 of file OgreFileSystem.h.

## Constructor & Destructor Documentation

virtual Ogre::FileSystemArchiveFactory::~FileSystemArchiveFactory | ( |  | ) | `[virtual]`

| Definition at line 108 of file OgreFileSystem.h.

## Member Function Documentation

Archive* Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< Archive >.

Definition at line 112 of file OgreFileSystem.h.

References Ogre::String.

void Ogre::FileSystemArchiveFactory::destroyInstance | ( | Archive * | arch | ) | `[virtual]`

Parameters:

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

Definition at line 117 of file OgreFileSystem.h.

const String& Ogre::FileSystemArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns:
  The factory type.

Implements Ogre::FactoryObj< Archive >.

The documentation for this class was generated from the following file:

- OgreFileSystem.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:41 2005